package si.mojeznanje.model;

import java.util.ArrayList;
import java.util.Date;

public class Ograda {

    private ArrayList<Zival> zivali = new ArrayList<Zival>();
    private Date datumOdprtja;

    public Ograda() {
        datumOdprtja = new Date();
        System.out.println(datumOdprtja.toString() + " odprli smo novo ogrado!");
    }

    public void dodajZival(Zival zival) {
        System.out.println(zival.getIme() + " je dodana v ogrado.");
        this.zivali.add(zival);
    }

    public void dodajZivali(ArrayList<Zival> zivali) {


        Boolean novaZivalJeEnaka = false;

        for (Zival novaZival : zivali)
        {
            novaZivalJeEnaka = false;

            for(Zival staraZival : this.zivali)
            {
                if(staraZival.equals(novaZival))
                {
                    System.out.println(novaZival.getIme() + " je ze v ogradi!");
                    novaZivalJeEnaka = true;
                }
            }

            if(!novaZivalJeEnaka)
            {
                this.zivali.add(novaZival);
            }

        }

        System.out.println(zivali.size() + " je dodanih v ogrado.");
    }

    public void izipisiVseZivali() {
        System.out.println("V ogradi je " + zivali.size() + " zivali.");

        if (zivali.size() > 0) {

            for (Zival zival : zivali) {
                System.out.println(zival.toString());
            }
        }
    }

    public Float vrniPovprecnoStarostZivaliVOgradi()
    {
        Integer[] starosti = new Integer[zivali.size()];

        for(int i = 0; i < zivali.size(); i++){
            starosti[i] = zivali.get(i).getStarost();
        }
        Float povprecnaStarost = Ograda.izracunajPovprecnoStarost(starosti);

        return povprecnaStarost;

    }

    public static Float izracunajPovprecnoStarost(Integer[] starosti){

        Float povprecnaStarost = 0f;
        Float skupekStarosti = 0f;

        for(int i = 0; i < starosti.length; i++){
            Integer starost = starosti[i];
            skupekStarosti = skupekStarosti + starost;
        }

        povprecnaStarost = skupekStarosti / starosti.length;

        return povprecnaStarost;
    }

}
